package com.msignia.samples.threeds.backend.models;

public class BrowserAuthenticationRequest {

    private String acctNumber;
    private String browserAcceptHeader;
    private String browserIP;
    private boolean browserJavaEnabled;
    private boolean browserJavascriptEnabled;
    private String browserLanguage;
    private String browserColorDepth;
    private String browserScreenHeight;
    private String browserScreenWidth;
    private String browserTZ;
    private String browserUserAgent;
    private String threeDSCompInd;
    private String notificationURL;
    private String threeDSServerTransID;
    private String dsIdentifier;

    public String getBrowserAcceptHeader() {
        return browserAcceptHeader;
    }

    public void setBrowserAcceptHeader(String browserAcceptHeader) {
        this.browserAcceptHeader = browserAcceptHeader;
    }

    public String getBrowserIP() {
        return browserIP;
    }

    public void setBrowserIP(String browserIP) {
        this.browserIP = browserIP;
    }

    public boolean isBrowserJavaEnabled() {
        return browserJavaEnabled;
    }

    public void setBrowserJavaEnabled(boolean browserJavaEnabled) {
        this.browserJavaEnabled = browserJavaEnabled;
    }

    public boolean isBrowserJavascriptEnabled() {
        return browserJavascriptEnabled;
    }

    public void setBrowserJavascriptEnabled(boolean browserJavascriptEnabled) {
        this.browserJavascriptEnabled = browserJavascriptEnabled;
    }

    public String getBrowserLanguage() {
        return browserLanguage;
    }

    public void setBrowserLanguage(String browserLanguage) {
        this.browserLanguage = browserLanguage;
    }

    public String getBrowserColorDepth() {
        return browserColorDepth;
    }

    public void setBrowserColorDepth(String browserColorDepth) {
        this.browserColorDepth = browserColorDepth;
    }

    public String getBrowserScreenHeight() {
        return browserScreenHeight;
    }

    public void setBrowserScreenHeight(String browserScreenHeight) {
        this.browserScreenHeight = browserScreenHeight;
    }

    public String getBrowserScreenWidth() {
        return browserScreenWidth;
    }

    public void setBrowserScreenWidth(String browserScreenWidth) {
        this.browserScreenWidth = browserScreenWidth;
    }

    public String getBrowserTZ() {
        return browserTZ;
    }

    public void setBrowserTZ(String browserTZ) {
        this.browserTZ = browserTZ;
    }

    public String getBrowserUserAgent() {
        return browserUserAgent;
    }

    public void setBrowserUserAgent(String browserUserAgent) {
        this.browserUserAgent = browserUserAgent;
    }

    public String getThreeDSCompInd() {
        return threeDSCompInd;
    }

    public void setThreeDSCompInd(String threeDSCompInd) {
        this.threeDSCompInd = threeDSCompInd;
    }

    public String getNotificationURL() {
        return notificationURL;
    }

    public void setNotificationURL(String notificationURL) {
        this.notificationURL = notificationURL;
    }

    public String getThreeDSServerTransID() {
        return threeDSServerTransID;
    }

    public void setThreeDSServerTransID(String threeDSServerTransID) {
        this.threeDSServerTransID = threeDSServerTransID;
    }

    public String getAcctNumber() {
        return acctNumber;
    }

    public void setAcctNumber(String acctNumber) {
        this.acctNumber = acctNumber;
    }

    public String getDsIdentifier() {
        return dsIdentifier;
    }

    public void setDsIdentifier(String dsIdentifier) {
        this.dsIdentifier = dsIdentifier;
    }

    @Override
    public String toString() {
        return "BrowserAuthenticationRequest{" +
                "acctNumber='" + acctNumber + '\'' +
                ", browserAcceptHeader='" + browserAcceptHeader + '\'' +
                ", browserIP='" + browserIP + '\'' +
                ", browserJavaEnabled=" + browserJavaEnabled +
                ", browserJavascriptEnabled=" + browserJavascriptEnabled +
                ", browserLanguage='" + browserLanguage + '\'' +
                ", browserColorDepth='" + browserColorDepth + '\'' +
                ", browserScreenHeight='" + browserScreenHeight + '\'' +
                ", browserScreenWidth='" + browserScreenWidth + '\'' +
                ", browserTZ='" + browserTZ + '\'' +
                ", browserUserAgent='" + browserUserAgent + '\'' +
                ", threeDSCompInd='" + threeDSCompInd + '\'' +
                ", notificationURL='" + notificationURL + '\'' +
                ", threeDSServerTransID='" + threeDSServerTransID + '\'' +
                ", dsIdentifier='" + dsIdentifier + '\'' +
                '}';
    }
}
