package com.msignia.samples.threeds.backend.models;

import com.msignia.threeds.mpi.authentication.models.DeviceRenderOptions;

public class MobileAuthenticationRequest {
    private AuthenticationRequestParameters authRequestParameters;
    private String sdkMaxTimeout;
    private DeviceRenderOptions deviceRenderOptions;
    private String acctNumber;
    private String dsIdentifier;

    public AuthenticationRequestParameters getAuthRequestParameters() {
        return authRequestParameters;
    }

    public void setAuthRequestParameters(AuthenticationRequestParameters authRequestParameters) {
        this.authRequestParameters = authRequestParameters;
    }

    public String getSdkMaxTimeout() {
        return sdkMaxTimeout;
    }

    public void setSdkMaxTimeout(String sdkMaxTimeout) {
        this.sdkMaxTimeout = sdkMaxTimeout;
    }

    public DeviceRenderOptions getDeviceRenderOptions() {
        return deviceRenderOptions;
    }

    public void setDeviceRenderOptions(DeviceRenderOptions deviceRenderOptions) {
        this.deviceRenderOptions = deviceRenderOptions;
    }

    public String getAcctNumber() {
        return acctNumber;
    }

    public void setAcctNumber(String acctNumber) {
        this.acctNumber = acctNumber;
    }

    public String getDsIdentifier() {
        return dsIdentifier;
    }

    public void setDsIdentifier(String dsIdentifier) {
        this.dsIdentifier = dsIdentifier;
    }

    @Override
    public String toString() {
        return "MobileAuthenticationRequest{" +
                "authRequestParameters=" + authRequestParameters +
                ", sdkMaxTimeout='" + sdkMaxTimeout + '\'' +
                ", deviceRenderOptions=" + deviceRenderOptions +
                ", acctNumber='" + acctNumber + '\'' +
                ", dsIdentifier='" + dsIdentifier + '\'' +
                '}';
    }
}
