package com.msignia.samples.threeds.backend.mpi.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class ThreedsServerConfig {
    @Value("${app.threeds-server-url}")
    String threeDsServerUrl;

    @Value("${app.authentication-endpoint}")
    String threeDsServerAuthEndpoint;

    @Value("${app.supported-versions-endpoint}")
    String threeDsServerSupportedVersionsEndpoint;

    public String getThreeDsServerUrl() {
        return threeDsServerUrl;
    }

    public void setThreeDsServerUrl(String threeDsServerUrl) {
        this.threeDsServerUrl = threeDsServerUrl;
    }

    public String getThreeDsServerAuthEndpoint() {
        return threeDsServerAuthEndpoint;
    }

    public void setThreeDsServerAuthEndpoint(String threeDsServerAuthEndpoint) {
        this.threeDsServerAuthEndpoint = threeDsServerAuthEndpoint;
    }

    public String getThreeDsServerSupportedVersionsEndpoint() {
        return threeDsServerSupportedVersionsEndpoint;
    }

    public void setThreeDsServerSupportedVersionsEndpoint(String threeDsServerSupportedVersionsEndpoint) {
        this.threeDsServerSupportedVersionsEndpoint = threeDsServerSupportedVersionsEndpoint;
    }
}
